Installation Ubuntu 16.04.2 LTS

Need help? Ask here and someone will help
Post Reply
speedy120581
Posts: 3
Joined: Thu Apr 20, 2017 12:41 pm

Installation Ubuntu 16.04.2 LTS

Post by speedy120581 » Thu Apr 20, 2017 12:46 pm

Hi Guys,

I have just tried to install the gimx on my Ubuntu 16.04.2 LTS armfh (XU4) but it fails with some dependencies.

first I installed those packages:
Get:1 http://ports.ubuntu.com/ubuntu-ports xenial-updates/universe armhf wx3.0-headers armhf 3.0.2+dfsg-1.3ubuntu0.1 [1,025 kB]
Get:2 http://ports.ubuntu.com/ubuntu-ports xenial-updates/universe armhf libwxbase3.0-dev armhf 3.0.2+dfsg-1.3ubuntu0.1 [29.2 kB]
Get:3 http://ports.ubuntu.com/ubuntu-ports xenial-updates/universe armhf libwxbase3.0-0v5-dbg armhf 3.0.2+dfsg-1.3ubuntu0.1 [10.6 MB]

I also tried libwxbase3.0-0_3.0.0-2_armhf.deb which I found somewhere....

sudo: Selecting previously unselected package gimx.
(Reading database ... 181127 files and directories currently installed.)
Preparing to unpack gimx_6.5-1_armhf.deb ...
Unpacking gimx (6.5-1) ...
dpkg: dependency problems prevent configuration of gimx:
gimx depends on libwxbase3.0-0 (>= 3.0.2); however:
Version of libwxbase3.0-0:armhf on system is 3.0.0-2.
gimx depends on libwxgtk3.0-0 (>= 3.0.2); however:
Package libwxgtk3.0-0 is not installed.

Do I miss some here ?

Thanks for suggestions!

reborn1337
Posts: 10
Joined: Fri Apr 21, 2017 2:50 pm

Re: Installation Ubuntu 16.04.2 LTS

Post by reborn1337 » Fri Apr 21, 2017 2:52 pm

Try

Code: Select all

apt-get update && apt-get upgrade
like it said in the docs and tell me if it worked.

speedy120581
Posts: 3
Joined: Thu Apr 20, 2017 12:41 pm

Re: Installation Ubuntu 16.04.2 LTS

Post by speedy120581 » Mon Apr 24, 2017 11:20 am

thanks for the reply. That is what I`m doing on regular basis:
root@MEDIA1:/home/odroid/Downloads# sudo apt-get update && apt-get upgrade
sudo: unable to resolve host MEDIA1
Hit:1 http://ports.ubuntu.com/ubuntu-ports xenial InRelease
Hit:2 http://ppa.launchpad.net/saiarcot895/myppa/ubuntu xenial InRelease
Hit:3 http://ports.ubuntu.com/ubuntu-ports xenial-updates InRelease
Hit:4 http://ports.ubuntu.com/ubuntu-ports xenial-backports InRelease
Hit:5 http://deb.odroid.in/5422 xenial InRelease
Hit:6 http://ports.ubuntu.com/ubuntu-ports xenial-security InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
chromium-browser chromium-browser-l10n chromium-chromedriver chromium-codecs-ffmpeg-extra linux-image-xu3
0 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
root@MEDIA1:/home/odroid/Downloads# dpkg -i gimx_
gimx_5.8-1_armhf.deb gimx_6.1-1_armhf.deb gimx_6.4-1_armhf.deb gimx_6.5-1_armhf.deb
root@MEDIA1:/home/odroid/Downloads# dpkg -i gimx_6.5-1_armhf.deb
Selecting previously unselected package gimx.
(Reading database ... 180704 files and directories currently installed.)
Preparing to unpack gimx_6.5-1_armhf.deb ...
Unpacking gimx (6.5-1) ...
dpkg: dependency problems prevent configuration of gimx:
gimx depends on libwxbase3.0-0 (>= 3.0.2); however:
Version of libwxbase3.0-0:armhf on system is 3.0.0-2.
gimx depends on libwxgtk3.0-0 (>= 3.0.2); however:
Package libwxgtk3.0-0 is not installed.

dpkg: error processing package gimx (--install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Errors were encountered while processing:
gimx
root@MEDIA1:/home/odroid/Downloads#
Also some more info about the packages:
root@MEDIA1:/home/odroid/Downloads# apt-cache search libwxb
libwxbase3.0-0v5 - wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
libwxbase3.0-0v5-dbg - debugging symbols for the wxBase library
libwxbase3.0-dev - wxBase library (development) - non-GUI support classes of wxWidgets toolkit
libwxbase3.0-0 - wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
root@MEDIA1:/home/odroid/Downloads# sudo apt-cache showpkg libwxbase3.0-0
sudo: unable to resolve host MEDIA1
Package: libwxbase3.0-0
Versions:
3.0.0-2 (/var/lib/dpkg/status)
Description Language:
File: /var/lib/dpkg/status
MD5: 8d14d6805345a163912bd5a462d1916d


Reverse Depends:
gimx,libwxbase3.0-0 3.0.2
libwxbase3.0-0v5,libwxbase3.0-0
libwxbase3.0-0v5,libwxbase3.0-0
libwxbase3.0-0v5,libwxbase3.0-0
libwxbase3.0-0v5,libwxbase3.0-0
Dependencies:
3.0.0-2 - multiarch-support (0 (null)) libc6 (2 2.15) libexpat1 (2 2.0.1) libgcc1 (2 1:4.4.0) libstdc++6 (2 4.4.0) zlib1g (2 1:1.1.4)
Provides:
3.0.0-2 -
Reverse Provides:
root@MEDIA1:/home/odroid/Downloads#

User avatar
Matlo
Posts: 4177
Joined: Wed Jul 06, 2011 7:01 am
Location: France
Contact:

Re: Installation Ubuntu 16.04.2 LTS

Post by Matlo » Mon Apr 24, 2017 12:11 pm

Hi,
First of, this is not officially supported. There is no guarantee to have the same package versions with different GNU/Linux distributions.
The wxWidgets library is used for the GUIs (gimx-launcher, gimx-config, gimx-fpsconfig), which means you still should be able to run GIMX from the command line.
Rather than using the Raspbian package, you should build and install GIMX yourself:
https://gimx.fr/wiki/index.php?title=De ... t_on_Linux
Donate Shop

speedy120581
Posts: 3
Joined: Thu Apr 20, 2017 12:41 pm

Re: Installation Ubuntu 16.04.2 LTS

Post by speedy120581 » Mon Apr 24, 2017 2:41 pm

Thanks Matlo for the suggestion.

As I don't need the Gui at all I just use it as command line and as a service. That`s totally fine with me and this works perfectly. Just tried the GT Force + PS4 and GT Sport and no Problems at all.

Thanks for help.
Speedy

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests